Summary:	Virtual Smart Card - smart card emulator written in Python
Summary(pl.UTF-8):	Virtual Smart Card - emulator kart procesorowych napisany w Pythonie
Name:		virtualsmartcard
Version:	0.9
Release:	3
License:	GPL v3+
Group:		Applications/Emulators
#Source0Download: https://github.com/frankmorgner/vsmartcard/releases
Source0:	https://github.com/frankmorgner/vsmartcard/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c9a65519349a5be90de35a55ae8181b2
Patch0:		%{name}-prefix.patch
URL:		https://frankmorgner.github.io/vsmartcard/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	libtool
BuildRequires:	pcsc-lite-devel
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	qrencode-devel
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# uses log_msg symbol from pcscd
%define		skip_post_check_so	libifdvpcd.so.*

%description
Virtual Smart Card - smart card emulator written in Python.

%description -l pl.UTF-8
Virtual Smart Card - emulator kart procesorowych napisany w Pythonie.

%prep
%setup -q
%patch -P 0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	PYTHON=%{__python3} \
	--enable-serialdropdir=$(pkg-config --variable=usbdropdir libpcsclite) \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/README.txt.in
%attr(755,root,root) %{_bindir}/vicc
%attr(755,root,root) %{_bindir}/vpcd-config
%attr(755,root,root) %{_libdir}/pcsc/drivers/libifdvpcd.so*
%config(noreplace) %verify(not md5 mtime size) /etc/reader.conf.d/vpcd
%{py3_sitescriptdir}/virtualsmartcard
%{_mandir}/man1/vicc.1*
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/virtualsmartcard.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 626fe3b
- Release 3 (by relup.sh)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> e9ad5e9
- use patch -P

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c6d6280
- python 3.13 rebuild

* Sun Sep 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 7993b5e
- updated to 0.9, switched to python3

* Wed Nov 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 139d0a2
- no special subdir for pcsc serial drivers

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> ea9ff99
- release 2 (by relup.sh)

* Mon Nov 27 2017 Jakub Bogusz <qboosh@pld-linux.org> 06c0a80
- new

